Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationExhaustiveMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationExhaustiveMoveGenerator.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationExhaustiveMoveGenerator", "Generates customer relocation moves from a given VRP encoding.")]
-  [StorableClass("595E2A67-A6EF-433D-90F0-3ED250BA3AAE")]
+  [StorableType("595E2A67-A6EF-433D-90F0-3ED250BA3AAE")]
   public sealed class PotvinCustomerRelocationExhaustiveMoveGenerator : PotvinCustomerRelocationMoveGenerator, IExhaustiveMoveGenerator {
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMove.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMove.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMove.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationMove", "Item that describes a relocation move on a VRP representation.")]
-  [StorableClass("F21C9262-4820-4483-8C9E-E93B5B746373")]
+  [StorableType("F21C9262-4820-4483-8C9E-E93B5B746373")]
   public class PotvinCustomerRelocationMove : Item, IVRPMove {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveAttribute.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveAttribute.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveAttribute.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationMoveAttribute", "Customer relocation move attribute")]
-  [StorableClass("EC684148-64BB-41C9-865F-A3457E911EAA")]
+  [StorableType("EC684148-64BB-41C9-865F-A3457E911EAA")]
   public class PotvinCustomerRelocationMoveAttribute : VRPMoveAttribute {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveEvaluator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationMoveEvaluator", "Evaluates a customer relocation move for a VRP representation. ")]
-  [StorableClass("F3BFF9CA-E6DC-49CE-AE82-D9DE4C5F36BE")]
+  [StorableType("F3BFF9CA-E6DC-49CE-AE82-D9DE4C5F36BE")]
   public sealed class PotvinCustomerRelocationMoveEvaluator : PotvinMoveEvaluator, IPotvinCustomerRelocationMoveOperator {
     public ILookupParameter<PotvinCustomerRelocationMove> CustomerRelocationMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveGenerator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationMoveGenerator", "Generates customer relocation moves from a given VRP encoding.")]
-  [StorableClass("11424F12-F268-4F3E-9730-2A24BA09345A")]
+  [StorableType("11424F12-F268-4F3E-9730-2A24BA09345A")]
   public abstract class PotvinCustomerRelocationMoveGenerator : PotvinMoveGenerator, IPotvinCustomerRelocationMoveOperator {
     public ILookupParameter<PotvinCustomerRelocationMove> CustomerRelocationMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveMaker.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationMoveMaker", "Peforms the customer relocation move on a given VRP encoding and updates the quality.")]
-  [StorableClass("4691991A-229A-4B86-A36D-1DA7B8A1F197")]
+  [StorableType("4691991A-229A-4B86-A36D-1DA7B8A1F197")]
   public class PotvinCustomerRelocationMoveMaker : PotvinMoveMaker, IPotvinCustomerRelocationMoveOperator, IMoveMaker {
     public ILookupParameter<PotvinCustomerRelocationMove> CustomerRelocationMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuCriterion.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuCriterion.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationTabuCriterion", @"Checks if a certain customer relocation move is tabu.")]
-  [StorableClass("63569674-C3EB-4797-9A6D-C68A4B2CDEC3")]
+  [StorableType("63569674-C3EB-4797-9A6D-C68A4B2CDEC3")]
   public class PotvinCustomerRelocationMoveTabuCriterion : SingleSuccessorOperator, IPotvinCustomerRelocationMoveOperator, ITabuChecker, IPotvinOperator, IVRPMoveOperator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMoveTabuMaker.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationMoveTabuMaker", "Declares a given customer relocation move as tabu.")]
-  [StorableClass("AD57E9AF-174D-4C4E-91AE-46AB238E5820")]
+  [StorableType("AD57E9AF-174D-4C4E-91AE-46AB238E5820")]
   public class PotvinCustomerRelocationMoveTabuMaker : TabuMaker, IPotvinCustomerRelocationMoveOperator, IPotvinOperator {
     public ILookupParameter<PotvinCustomerRelocationMove> CustomerRelocationMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMultiMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationMultiMoveGenerator.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationMultiMoveGenerator", "Generates customer relocation moves from a given VRP encoding.")]
-  [StorableClass("11448ECA-4B93-4CBA-8F86-882F6CFE76F5")]
+  [StorableType("11448ECA-4B93-4CBA-8F86-882F6CFE76F5")]
   public sealed class PotvinCustomerRelocationMultiMoveGenerator : PotvinCustomerRelocationMoveGenerator, IMultiMoveGenerator, IMultiVRPMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationSingleMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/CustomerRelocation/PotvinCustomerRelocationSingleMoveGenerator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinCustomerRelocationSingleMoveGenerator", "Generates a single customer relocation move from a given VRP encoding.")]
-  [StorableClass("A5607A9F-A1F2-4978-A893-9342E0E75B92")]
+  [StorableType("A5607A9F-A1F2-4978-A893-9342E0E75B92")]
   public sealed class PotvinCustomerRelocationSingleMoveGenerator : PotvinCustomerRelocationMoveGenerator,
     ISingleMoveGenerator {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeExhaustiveMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeExhaustiveMoveGenerator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeExhaustiveMoveGenerator", "Generates exchange moves from a given PDP encoding.")]
-  [StorableClass("D808AF2C-F8F5-4952-BF60-9BE245DC728C")]
+  [StorableType("D808AF2C-F8F5-4952-BF60-9BE245DC728C")]
   public sealed class PotvinPDExchangeExhaustiveMoveGenerator : PotvinPDExchangeMoveGenerator, IExhaustiveMoveGenerator {
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMove.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMove.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMove.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeMove", "Item that describes a exchange move on a PDP representation.")]
-  [StorableClass("6BA20E3D-8E3D-4C96-8177-9AF1BFB3CBBB")]
+  [StorableType("6BA20E3D-8E3D-4C96-8177-9AF1BFB3CBBB")]
   public class PotvinPDExchangeMove : Item, IVRPMove {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveEvaluator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeMoveEvaluator", "Evaluates a exchange move for a PDP representation. ")]
-  [StorableClass("EED4E90F-B336-4C19-A61E-5208797430AC")]
+  [StorableType("EED4E90F-B336-4C19-A61E-5208797430AC")]
   public sealed class PotvinPDExchangeMoveEvaluator : PotvinMoveEvaluator, IPotvinPDExchangeMoveOperator {
     public ILookupParameter<PotvinPDExchangeMove> PDExchangeMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveGenerator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeMoveGenerator", "Generates exchange moves from a given PDP encoding.")]
-  [StorableClass("FBCCA270-8129-43AA-A4F3-9FC0CFDF9FE9")]
+  [StorableType("FBCCA270-8129-43AA-A4F3-9FC0CFDF9FE9")]
   public abstract class PotvinPDExchangeMoveGenerator : PotvinMoveGenerator, IPotvinPDExchangeMoveOperator {
     public ILookupParameter<PotvinPDExchangeMove> PDExchangeMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveMaker.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeMoveMaker", "Peforms the exchange move on a given PDP encoding and updates the quality.")]
-  [StorableClass("9D77FF94-68B4-4285-9DC9-EDBECF4FAFD2")]
+  [StorableType("9D77FF94-68B4-4285-9DC9-EDBECF4FAFD2")]
   public class PotvinPDExchangeMoveMaker : PotvinMoveMaker, IPotvinPDExchangeMoveOperator, IMoveMaker {
     public ILookupParameter<PotvinPDExchangeMove> PDExchangeMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuCriterion.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuCriterion.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeTabuCriterion", @"Checks if a certain exchange move is tabu.")]
-  [StorableClass("FBBA085C-BEE1-4A6E-B84F-C99BCC6B06DA")]
+  [StorableType("FBBA085C-BEE1-4A6E-B84F-C99BCC6B06DA")]
   public class PotvinPDExchangeTabuCriterion : SingleSuccessorOperator, IPotvinPDExchangeMoveOperator, ITabuChecker, IPotvinOperator, IVRPMoveOperator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMoveTabuMaker.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeMoveTabuMaker", "Declares a given exchange move as tabu.")]
-  [StorableClass("04FBC6DA-DE4E-44EB-A487-741A04221D47")]
+  [StorableType("04FBC6DA-DE4E-44EB-A487-741A04221D47")]
   public class PotvinPDExchangeMoveTabuMaker : SingleSuccessorOperator, ITabuMaker, IPotvinPDExchangeMoveOperator, IPotvinOperator, ISingleObjectiveOperator {
     public LookupParameter<ItemList<IItem>> TabuListParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMultiMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeMultiMoveGenerator.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeMultiMoveGenerator", "Generates exchange moves from a given PDP encoding.")]
-  [StorableClass("B9341EF6-CBC7-476E-964F-6293CF88E660")]
+  [StorableType("B9341EF6-CBC7-476E-964F-6293CF88E660")]
   public sealed class PotvinPDExchangeMultiMoveGenerator : PotvinPDExchangeMoveGenerator, IMultiMoveGenerator, IMultiVRPMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeSingleMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDExchange/PotvinPDExchangeSingleMoveGenerator.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDExchangeSingleMoveGenerator", "Generates a single exchange move from a given PDP encoding.")]
-  [StorableClass("DF49EAC3-0BC6-45D0-A26E-87D6F25529E1")]
+  [StorableType("DF49EAC3-0BC6-45D0-A26E-87D6F25529E1")]
   public sealed class PotvinPDExchangeSingleMoveGenerator : PotvinPDExchangeMoveGenerator,
     ISingleMoveGenerator {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeExhaustiveMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeExhaustiveMoveGenerator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeExhaustiveMoveGenerator", "Generates rearrange moves from a given PDP encoding.")]
-  [StorableClass("7C95C749-EC38-4E6E-85C2-328B9224A3CB")]
+  [StorableType("7C95C749-EC38-4E6E-85C2-328B9224A3CB")]
   public sealed class PotvinPDRearrangeExhaustiveMoveGenerator : PotvinPDRearrangeMoveGenerator, IExhaustiveMoveGenerator {
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMove.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMove.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMove.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeMove", "Item that describes a rearrange move on a PDP representation.")]
-  [StorableClass("24DA6D9F-57AD-4E8B-B3BA-C50F8EC4419D")]
+  [StorableType("24DA6D9F-57AD-4E8B-B3BA-C50F8EC4419D")]
   public class PotvinPDRearrangeMove : Item, IVRPMove {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveEvaluator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeMoveEvaluator", "Evaluates a rearrange move for a PDP representation. ")]
-  [StorableClass("7C41206C-4509-4D91-82CB-E2147B099A33")]
+  [StorableType("7C41206C-4509-4D91-82CB-E2147B099A33")]
   public sealed class PotvinPDRearrangeMoveEvaluator : PotvinMoveEvaluator, IPotvinPDRearrangeMoveOperator {
     public ILookupParameter<PotvinPDRearrangeMove> PDRearrangeMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveGenerator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeMoveGenerator", "Generates rearrange moves from a given PDP encoding.")]
-  [StorableClass("5F783290-88ED-4E5D-A957-1C37042F4FE5")]
+  [StorableType("5F783290-88ED-4E5D-A957-1C37042F4FE5")]
   public abstract class PotvinPDRearrangeMoveGenerator : PotvinMoveGenerator, IPotvinPDRearrangeMoveOperator {
     public ILookupParameter<PotvinPDRearrangeMove> PDRearrangeMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveMaker.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeMoveMaker", "Peforms the rearrange move on a given PDP encoding and updates the quality.")]
-  [StorableClass("527ACA98-9069-476E-9174-1DCC4C920DC6")]
+  [StorableType("527ACA98-9069-476E-9174-1DCC4C920DC6")]
   public class PotvinPDRearrangeMoveMaker : PotvinMoveMaker, IPotvinPDRearrangeMoveOperator, IMoveMaker {
     public ILookupParameter<PotvinPDRearrangeMove> PDRearrangeMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuCriterion.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuCriterion.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeTabuCriterion", @"Checks if a certain rearrange move is tabu.")]
-  [StorableClass("0E33FC3D-9C2D-4B8F-85D0-432B9503EBA9")]
+  [StorableType("0E33FC3D-9C2D-4B8F-85D0-432B9503EBA9")]
   public class PotvinPDRearrangeTabuCriterion : SingleSuccessorOperator, IPotvinPDRearrangeMoveOperator, ITabuChecker, IPotvinOperator, IVRPMoveOperator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMoveTabuMaker.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeMoveTabuMaker", "Declares a given rearrange move as tabu.")]
-  [StorableClass("0226C93F-785B-42E2-AB55-C07D2F2CE17B")]
+  [StorableType("0226C93F-785B-42E2-AB55-C07D2F2CE17B")]
   public class PotvinPDRearrangeMoveTabuMaker : TabuMaker, IPotvinPDRearrangeMoveOperator, IPotvinOperator, IVRPMoveOperator {
     public ILookupParameter<PotvinPDRearrangeMove> PDRearrangeMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMultiMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeMultiMoveGenerator.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeMultiMoveGenerator", "Generates rearrange moves from a given PDP encoding.")]
-  [StorableClass("F4D5AEE2-DB0C-45AE-83E4-011BE70C7D41")]
+  [StorableType("F4D5AEE2-DB0C-45AE-83E4-011BE70C7D41")]
   public sealed class PotvinPDRearrangeMultiMoveGenerator : PotvinPDRearrangeMoveGenerator, IMultiMoveGenerator, IMultiVRPMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeSingleMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDRearrange/PotvinPDRearrangeSingleMoveGenerator.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRearrangeSingleMoveGenerator", "Generates a single rearrange move from a given PDP encoding.")]
-  [StorableClass("7593C024-7539-45C1-96CD-074C788097C7")]
+  [StorableType("7593C024-7539-45C1-96CD-074C788097C7")]
   public sealed class PotvinPDRearrangeSingleMoveGenerator : PotvinPDRearrangeMoveGenerator,
     ISingleMoveGenerator {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftExhaustiveMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftExhaustiveMoveGenerator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftExhaustiveMoveGenerator", "Generates shift moves from a given PDP encoding.")]
-  [StorableClass("8C366224-37FB-4E04-BDF8-9565FE867595")]
+  [StorableType("8C366224-37FB-4E04-BDF8-9565FE867595")]
   public sealed class PotvinPDShiftExhaustiveMoveGenerator : PotvinPDShiftMoveGenerator, IExhaustiveMoveGenerator {
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMove.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMove.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMove.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftMove", "Item that describes a shift move on a PDP representation.")]
-  [StorableClass("B177DC95-FBBA-4EC4-9FE0-9D09821FCCCC")]
+  [StorableType("B177DC95-FBBA-4EC4-9FE0-9D09821FCCCC")]
   public class PotvinPDShiftMove : Item, IVRPMove {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveEvaluator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftMoveEvaluator", "Evaluates a shift move for a PDP representation. ")]
-  [StorableClass("CFE6194C-6BBA-478E-B97D-7BE11FC0D8EC")]
+  [StorableType("CFE6194C-6BBA-478E-B97D-7BE11FC0D8EC")]
   public sealed class PotvinPDShiftMoveEvaluator : PotvinMoveEvaluator, IPotvinPDShiftMoveOperator {
     public ILookupParameter<PotvinPDShiftMove> PDShiftMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveGenerator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftMoveGenerator", "Generates shift moves from a given PDP encoding.")]
-  [StorableClass("73A63B71-0FD0-4FA5-BEC4-E896D773AC3D")]
+  [StorableType("73A63B71-0FD0-4FA5-BEC4-E896D773AC3D")]
   public abstract class PotvinPDShiftMoveGenerator : PotvinMoveGenerator, IPotvinPDShiftMoveOperator {
     public ILookupParameter<PotvinPDShiftMove> PDShiftMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveMaker.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftMoveMaker", "Peforms the shift move on a given PDP encoding and updates the quality.")]
-  [StorableClass("66762BA5-687C-414D-A854-98460052FDCF")]
+  [StorableType("66762BA5-687C-414D-A854-98460052FDCF")]
   public class PotvinPDShiftMoveMaker : PotvinMoveMaker, IPotvinPDShiftMoveOperator, IMoveMaker {
     public ILookupParameter<PotvinPDShiftMove> PDShiftMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuCriterion.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuCriterion.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftTabuCriterion", @"Checks if a certain shift move is tabu.")]
-  [StorableClass("BAEDF3D1-7603-4DDD-9DF0-AC492E12E13C")]
+  [StorableType("BAEDF3D1-7603-4DDD-9DF0-AC492E12E13C")]
   public class PotvinPDShiftTabuCriterion : SingleSuccessorOperator, IPotvinPDShiftMoveOperator, ITabuChecker, IPotvinOperator, IVRPMoveOperator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMoveTabuMaker.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftMoveTabuMaker", "Declares a given shift move as tabu.")]
-  [StorableClass("05949CA0-C0B3-403A-9913-5A28257E1CAF")]
+  [StorableType("05949CA0-C0B3-403A-9913-5A28257E1CAF")]
   public class PotvinPDShiftMoveTabuMaker : TabuMaker, IPotvinPDShiftMoveOperator, IPotvinOperator, IVRPMoveOperator {
     public ILookupParameter<PotvinPDShiftMove> PDShiftMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMultiMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftMultiMoveGenerator.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftMultiMoveGenerator", "Generates shift moves from a given PDP encoding.")]
-  [StorableClass("1B07E65B-6422-4D63-B84E-A7AD0F1DFAC4")]
+  [StorableType("1B07E65B-6422-4D63-B84E-A7AD0F1DFAC4")]
   public sealed class PotvinPDShiftMultiMoveGenerator : PotvinPDShiftMoveGenerator, IMultiMoveGenerator, IMultiVRPMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftSingleMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PDShift/PotvinPDShiftSingleMoveGenerator.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDShiftSingleMoveGenerator", "Generates a single shift move from a given PDP encoding.")]
-  [StorableClass("7B038CED-5A65-4F94-97AC-8868756E19F5")]
+  [StorableType("7B038CED-5A65-4F94-97AC-8868756E19F5")]
   public sealed class PotvinPDShiftSingleMoveGenerator : PotvinPDShiftMoveGenerator,
     ISingleMoveGenerator {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PotvinPDRelocateMoveAttribute.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PotvinPDRelocateMoveAttribute.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PickupDelivery/PotvinPDRelocateMoveAttribute.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinPDRelocateMoveAttribute", "PD relocation move attribute")]
-  [StorableClass("2AC9DE0A-BE8B-45A8-9BFB-95969A0AA3A6")]
+  [StorableType("2AC9DE0A-BE8B-45A8-9BFB-95969A0AA3A6")]
   public class PotvinPDRelocateMoveAttribute : VRPMoveAttribute {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveEvaluator.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinMoveEvaluator", "Evaluates a Potvin VRP move.")]
-  [StorableClass("80797AB7-0244-4104-9AAB-A036A31258EE")]
+  [StorableType("80797AB7-0244-4104-9AAB-A036A31258EE")]
   public abstract class PotvinMoveEvaluator : VRPMoveEvaluator, IPotvinOperator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveGenerator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinMoveGenerator", "Generates Potvin VRP moves.")]
-  [StorableClass("7B9153F9-758A-4ED2-8861-52C358E80B90")]
+  [StorableType("7B9153F9-758A-4ED2-8861-52C358E80B90")]
   public abstract class PotvinMoveGenerator : VRPMoveGenerator, IPotvinOperator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/PotvinMoveMaker.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinMoveMaker", "Makes a Potvin VRP move.")]
-  [StorableClass("5EF19814-940F-4EDE-ABAA-0648BB07A278")]
+  [StorableType("5EF19814-940F-4EDE-ABAA-0648BB07A278")]
   public abstract class PotvinMoveMaker : VRPMoveMaker, IPotvinOperator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarExhaustiveMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarExhaustiveMoveGenerator.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarExhaustiveMoveGenerator", "Generates two opt star moves from a given VRP encoding.")]
-  [StorableClass("A6B86563-A599-4D5E-A2F8-1853628CBCFC")]
+  [StorableType("A6B86563-A599-4D5E-A2F8-1853628CBCFC")]
   public sealed class PotvinTwoOptStarExhaustiveMoveGenerator : PotvinTwoOptStarMoveGenerator, IExhaustiveMoveGenerator {
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMove.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMove.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMove.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarMove", "Item that describes a two opt star move on a VRP representation.")]
-  [StorableClass("34A7409D-ABED-4BAD-B0A1-7EC392B027D5")]
+  [StorableType("34A7409D-ABED-4BAD-B0A1-7EC392B027D5")]
   public class PotvinTwoOptStarMove : Item, IVRPMove {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveAttribute.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveAttribute.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveAttribute.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarMoveAttribute", "Two opt star move attribute")]
-  [StorableClass("AE168A83-DCF1-4D59-BB11-8460D5E3CA78")]
+  [StorableType("AE168A83-DCF1-4D59-BB11-8460D5E3CA78")]
   public class PotvinTwoOptStarMoveAttribute : VRPMoveAttribute {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveEvaluator.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarMoveEvaluator", "Evaluates a two opt star move for a VRP representation. ")]
-  [StorableClass("63E955D8-F985-4DB7-9093-46D6AEDA6CA1")]
+  [StorableType("63E955D8-F985-4DB7-9093-46D6AEDA6CA1")]
   public sealed class PotvinTwoOptStarMoveEvaluator : PotvinMoveEvaluator, IPotvinTwoOptStarMoveOperator {
     public ILookupParameter<PotvinTwoOptStarMove> TwoOptStarMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveGenerator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarMoveGenerator", "Generates two opt star moves from a given VRP encoding.")]
-  [StorableClass("161EBC5E-7AF5-4A21-A06E-7174D44CA17E")]
+  [StorableType("161EBC5E-7AF5-4A21-A06E-7174D44CA17E")]
   public abstract class PotvinTwoOptStarMoveGenerator : PotvinMoveGenerator, IPotvinTwoOptStarMoveOperator {
     public ILookupParameter<PotvinTwoOptStarMove> TwoOptStarMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveMaker.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarMoveMaker", "Peforms the two opt star move on a given VRP encoding and updates the quality.")]
-  [StorableClass("48BC65BC-ABC4-4F1F-A97D-6E1A7C4D7953")]
+  [StorableType("48BC65BC-ABC4-4F1F-A97D-6E1A7C4D7953")]
   public class PotvinTwoOptStarMoveMaker : PotvinMoveMaker, IPotvinTwoOptStarMoveOperator, IMoveMaker {
     public ILookupParameter<PotvinTwoOptStarMove> TwoOptStarMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuCriterion.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuCriterion.cs	(revision 14711)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarTabuCriterion", @"Checks if a certain two opt star move is tabu.")]
-  [StorableClass("434288C2-E840-41C7-BC31-6D435448CDAD")]
+  [StorableType("434288C2-E840-41C7-BC31-6D435448CDAD")]
   public class PotvinTwoOptStarMoveTabuCriterion : SingleSuccessorOperator, IPotvinTwoOptStarMoveOperator, ITabuChecker, IPotvinOperator, IVRPMoveOperator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMoveTabuMaker.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarMoveTabuMaker", "Declares a given two opt star move as tabu.")]
-  [StorableClass("32DA81E8-9D49-4853-B79B-B36D6AD6F886")]
+  [StorableType("32DA81E8-9D49-4853-B79B-B36D6AD6F886")]
   public class PotvinTwoOptStarMoveTabuMaker : SingleSuccessorOperator, ITabuMaker, IPotvinTwoOptStarMoveOperator, IPotvinOperator, ISingleObjectiveOperator {
     public LookupParameter<ItemList<IItem>> TabuListParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMultiMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarMultiMoveGenerator.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarMultiMoveGenerator", "Generates two opt star moves from a given VRP encoding.")]
-  [StorableClass("FFD35DB0-385C-458E-B465-DE98D51E2C05")]
+  [StorableType("FFD35DB0-385C-458E-B465-DE98D51E2C05")]
   public sealed class PotvinTwoOptStarMultiMoveGenerator : PotvinTwoOptStarMoveGenerator, IMultiMoveGenerator, IMultiVRPMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarSingleMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/TwoOptStar/PotvinTwoOptStarSingleMoveGenerator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinTwoOptStarSingleMoveGenerator", "Generates a single two opt star move from a given VRP encoding.")]
-  [StorableClass("61B92AB1-E448-4886-8FBE-D8042CE0657C")]
+  [StorableType("61B92AB1-E448-4886-8FBE-D8042CE0657C")]
   public sealed class PotvinTwoOptStarSingleMoveGenerator : PotvinTwoOptStarMoveGenerator,
     ISingleMoveGenerator {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentExhaustiveMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentExhaustiveMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentExhaustiveMoveGenerator.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentExhaustiveMoveGenerator", "Generates vehicle assignment moves from a given VRP encoding.")]
-  [StorableClass("B242B01F-3FFD-4934-8329-B6F661AE60F9")]
+  [StorableType("B242B01F-3FFD-4934-8329-B6F661AE60F9")]
   public sealed class PotvinVehicleAssignmentExhaustiveMoveGenerator : PotvinVehicleAssignmentMoveGenerator, IExhaustiveMoveGenerator {
     public override IDeepCloneable Clone(Cloner cloner) {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMove.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMove.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMove.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentMove", "Item that describes a relocation move on a VRP representation.")]
-  [StorableClass("C898641C-FE58-4E7C-A8FB-E13412AE3662")]
+  [StorableType("C898641C-FE58-4E7C-A8FB-E13412AE3662")]
   public class PotvinVehicleAssignmentMove : Item, IVRPMove {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveAttribute.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveAttribute.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveAttribute.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentMoveAttribute", "vehicle assignment move attribute")]
-  [StorableClass("253D8252-5240-4F35-A67B-67034C23B5C3")]
+  [StorableType("253D8252-5240-4F35-A67B-67034C23B5C3")]
   public class PotvinVehicleAssignmentMoveAttribute : VRPMoveAttribute {
     [Storable]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveEvaluator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveEvaluator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveEvaluator.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentMoveEvaluator", "Evaluates a vehicle assignment move for a VRP representation. ")]
-  [StorableClass("E48B5803-39B9-480C-B5D8-8E985CF9989E")]
+  [StorableType("E48B5803-39B9-480C-B5D8-8E985CF9989E")]
   public sealed class PotvinVehicleAssignmentMoveEvaluator : PotvinMoveEvaluator, IPotvinVehicleAssignmentMoveOperator {
     public ILookupParameter<PotvinVehicleAssignmentMove> VehicleAssignmentMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveGenerator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentMoveGenerator", "Generates vehicle assignment moves from a given VRP encoding.")]
-  [StorableClass("5383CBA6-8C76-4D6B-8F15-E485A0005F66")]
+  [StorableType("5383CBA6-8C76-4D6B-8F15-E485A0005F66")]
   public abstract class PotvinVehicleAssignmentMoveGenerator : PotvinMoveGenerator, IPotvinVehicleAssignmentMoveOperator {
     public ILookupParameter<PotvinVehicleAssignmentMove> VehicleAssignmentMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveMaker.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentMoveMaker", "Peforms the vehicle assignment move on a given VRP encoding and updates the quality.")]
-  [StorableClass("DFAB57A9-18EC-44CE-BA27-FA3D0155160F")]
+  [StorableType("DFAB57A9-18EC-44CE-BA27-FA3D0155160F")]
   public class PotvinVehicleAssignmentMoveMaker : PotvinMoveMaker, IPotvinVehicleAssignmentMoveOperator, IMoveMaker {
     public ILookupParameter<PotvinVehicleAssignmentMove> VehicleAssignmentMoveParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuCriterion.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuCriterion.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuCriterion.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentMoveTabuCriterion", @"Checks if a certain vehicle assignment move is tabu.")]
-  [StorableClass("5BE75591-D34B-4C21-8EAC-70105E43ADC1")]
+  [StorableType("5BE75591-D34B-4C21-8EAC-70105E43ADC1")]
   public class PotvinVehicleAssignmentMoveTabuCriterion : SingleSuccessorOperator, IPotvinVehicleAssignmentMoveOperator, ITabuChecker, IPotvinOperator, IVRPMoveOperator {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuMaker.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuMaker.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMoveTabuMaker.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentMoveTabuMaker", "Declares a given vehicle assignment move as tabu.")]
-  [StorableClass("96A02626-E269-448E-A64E-D26630E68210")]
+  [StorableType("96A02626-E269-448E-A64E-D26630E68210")]
   public class PotvinVehicleAssignmentMoveTabuMaker : SingleSuccessorOperator, ITabuMaker, IPotvinVehicleAssignmentMoveOperator, IPotvinOperator, ISingleObjectiveOperator {
     public LookupParameter<ItemList<IItem>> TabuListParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMultiMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMultiMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentMultiMoveGenerator.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentMultiMoveGenerator", "Generates vehicle assignment moves from a given VRP encoding.")]
-  [StorableClass("2D8994D4-1947-48E3-A592-652929114CD0")]
+  [StorableType("2D8994D4-1947-48E3-A592-652929114CD0")]
   public sealed class PotvinVehicleAssignmentMultiMoveGenerator : PotvinVehicleAssignmentMoveGenerator, IMultiMoveGenerator, IMultiVRPMoveGenerator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentSingleMoveGenerator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentSingleMoveGenerator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Potvin/Moves/VehicleAssignment/PotvinVehicleAssignmentSingleMoveGenerator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Potvin {
   [Item("PotvinVehicleAssignmentSingleMoveGenerator", "Generates a single vehicle assignment move from a given VRP encoding.")]
-  [StorableClass("B750C0C3-8026-4FCF-889C-8870334DEEA6")]
+  [StorableType("B750C0C3-8026-4FCF-889C-8870334DEEA6")]
   public sealed class PotvinVehicleAssignmentSingleMoveGenerator : PotvinVehicleAssignmentMoveGenerator,
     ISingleMoveGenerator {
